Name:           python-polib
Version:        1.1.1
Release:        1
Summary:        A library to manipulate gettext files (po and mo files)
License:        MIT
URL:            https://pypi.org/project/polib/
Source0:        https://pypi.python.org/packages/source/p/polib/polib-1.1.1.tar.gz

BuildRequires:  python3-devel
BuildArch:      noarch

%description
polib is a library to manipulate, create, modify gettext files (pot, po and mo files). You can load
existing files, iterate through it’s entries, add, modify entries, comments or metadata, etc… or
create new po files from scratch.

%package -n python3-polib
Summary:        A library to manipulate gettext files (po and mo files)
%{?python_provide:%python_provide python3-polib}

%description -n python3-polib
polib is a library to manipulate, create, modify gettext files (pot, po and mo files). You can load
existing files, iterate through it’s entries, add, modify entries, comments or metadata, etc… or
create new po files from scratch.

%prep
%autosetup -n polib-1.1.1 -p1
rm -rf polib.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} tests/tests.py

%files -n python3-polib
%doc README.rst
%license LICENSE
%{python3_sitelib}/polib-1.1.1-py3.*.egg-info
%{python3_sitelib}/polib.py
%{python3_sitelib}/__pycache__/polib.cpython-3*.pyc

%changelog
* Thu Jun 09 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.1.1-1
- Upgrade to version 1.1.1

* Wed Oct 21 2020 wangxiao <wangxiao65@huawei.com> - 1.1.0-4
- drop python2 subpackage

* Thu Jun 18 2020 hanhui <hanhui15@huawei.com> - 1.1.0-3
- bugfix
- fix python3.8 can not find path

* Mon Jan  6 2020 lingsheng <lingsheng@huawei.com> - 1.1.0-2
- Package init
